<?php 

 date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}


		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$cdgcaj= $row["codusu"];



   
$consulta = "SELECT * FROM web_0000 ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

         $tipcamdol = $fila["tipcamdol"];
	     $clades = $fila["clades"];
		 $percampre = $fila["percampre"];

$filas="";

$hora=date("H:i:s");
exec('Impresoras'); /////////  DECLARA LA IMPRESORA  




$fechahoy=date("Y-m-d");
$sel_fact="INSERT INTO facturastmp_notas_debito (codnota,fecha) VALUE ('','$fechahoy')";
$mysqli->query($sel_fact);
 $codnotatmp=$mysqli-> insert_id ; 


$consulta2 = "DELETE FROM facturastmp_notas_debito";
$mysqli->query( $consulta2);
$hoy=date("d-m-Y");

////////////////////////////////////   seleciona los datos de la faqctura de referencia  /////////////////////////////////////////////


$codfactura=$_GET["codfactura"];

$consulta = "SELECT * FROM facturas WHERE codfactura='$codfactura'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
        $horfac = $fila["horfac"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $fila["cdgtipven"];
		$numfactura = $fila["numfactura"];
		$numcomp = $fila["numcomp"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalfactura = $fila["totalfactura"];
		$codfactura = $fila["codfactura"];
		$modpro = $fila["modpro"];
		$obsfac = $fila["obsfac"];
		$cdgtipexo = $fila["cdgtipexo"];
		$cdgtipexo = $fila["cdgtipexo"];
		$porimpexo = $fila["porimpexo"];
		$tipmoneda = $fila["tipmoneda"];
        $cdgactcom = $fila["cdgactcli"];   // se agrega en la version 4.4 //
		$articulo  = $fila["artexo"];   // se agrega en la version 4.4 //
		$inciso    = $fila["incexo"];   // se agrega en la version 4.4 //
		
		

		if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($cdgtipven == 1) { $tipo="CONTADO"; } else { $tipo="CREDITO"; } 
		if (!empty($cdgtipexo)) {  $cliexe=2; } else { $cliexe=1; }      // se realiza cambio al actualizar exoneraciones
		
      ///////////////////////////////////  Calcula el saldo del cliente//////////////////////////////////////////////
if ($cdgcli!=9999){
		$query_tmp2 = "SELECT SUM(SALACT) AS saldo FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ORDER BY numfac ASC";
        if ($resultado2 = $mysqli->query($query_tmp2)) 
        $fila2 = $resultado2->fetch_array();
		
        $salact    = $fila2["saldo"];		
} else {

   		$salact    = 0;	

  }         

 //////////////////////////////////////////////////////iinserta la lineas de detalle de la factura /////////////////////////////
	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;
	
	
$consulta3 = "DELETE  FROM factulineatmp_notas_debito where codnotatmp = '$codnotatmp' ";
$mysqli->query( $consulta3);


$consulta = "SELECT * FROM factulinea WHERE codfactura='$codfactura'  ORDER BY numlinea DESC";


$contador=0;
if ($resultado = $mysqli->query($consulta)) 


    while ($fila2 = $resultado->fetch_assoc()) {

        $cdgbar    = $fila2["codigo"];
        $dscart    = $fila2["dscart"];
		$cantidad  = $fila2["cantidad"];
		$preivi    = $fila2["preivi"];
		$importe   = $fila2["importe"];
		$impuesto  = $fila2["impuesto"];
		$mondes    = $fila2["mondes"];
		$cdgfam    = $fila2["cdgfam"];
     	$cdglin    = $fila2["cdglin"];
		$descuento = $fila2["dcto"];
		$porcomexo = $fila2["porcomexo"];
		
		if ( $porcomexo  > 0 ) {   $chkexo  = 0 ;  } else  {   $chkexo  = 1 ;  }
		


	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	
	
	
			$sel_insert="INSERT INTO factulineatmp_notas_debito (codnotatmp,dscart, numlinea ,codigo,cdgfam,cdglin, cantidad,preivi,importe,dcto,mondes, impuesto, chkexo) VALUES ('$codnotatmp','$dscart','','$cdgbar','$cdgfam','$cdglin','$cantidad','$preivi','$importe','$descuento' ,'$mondes','$impuesto'  ,'$chkexo')";

		   $mysqli->query($sel_insert);
		
} 

 $preciototal= 	$baseimp+$baseiva-$basedescuento;
 
$estadohacienda="EN LINEA";

$enlinea=1 ;


  
?>
<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		         <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
	
  		<script type="text/javascript" src="../JsInputMask-master/input-mask.js" ></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		var miPopup
		function abreVentana(){
		
			var filas=document.getElementById("filas").value;	
	
		if (filas=="") {
		
			miPopup = window.open("ver_clientes.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
			
					} else {
			
			var cdgclifac=document.getElementById("cdgclifac").value;
				alert ("La Nota de credito posee  articulos cargados, para cambiar el cliente debe borrar todas las lineas ");
				document.getElementById("cdgcli").value=cdgclifac;
		}		}	
			
	
	
	
		function validararticulo(){
		
		
					var cdgcli=document.getElementById("cdgcli").value;
			if (cdgcli=="") {
				alert ("Debe introducir el codigo de cliente  antes de continuar");
				document.getElementById("cdgbar").value="";
				document.getElementById("cdgcli").select();
			
							
		} else {
	

	 			var cdgcli=document.getElementById("cdgcli").value;
			     var codigobarras=document.getElementById("cdgbar").value;
			miPopup = window.open("comprobararticulo_super.php?cdgbar="+codigobarras+"&cdgcli="+cdgcli	, "frame_datos4","width=900,height=90,scrollbars=yes");
		//window.open("clientes.php?cdgcli="+cdgcli+"&dsccli="+dsccli+"&cedcli="+cedcli+"&numtel="+numtel);

		
			}
			}
			
		


	
	
		
				
			function validarfactura(){
			
			var factura=document.getElementById("numfacafe").value;
			var codigo=document.getElementById("cdgcli").value;
			if (codigo=="") {
				alert ("Debe introducir el codigo del cliente antes de continuar");
					document.getElementById("numfacafe").value="";
					document.getElementById("numfacafe2").value="";
					document.getElementById("salfac").value="";
					document.getElementById("cdgtipven").value="";
					
	
			} else {
		
			miPopup = window.open("Comprobar_Factura.php?numfacafe="+factura+"&cdgcli="+codigo, "frame_datos3","width=900,height=90,scrollbars=yes");
			
	
				document.getElementById("cdgcli").focus();
				document.getElementById("cdgcli").select();
		
				}
					}
			
					
		
		function validarcliente(){
		
		
		
			var codigo=document.getElementById("cdgcli").value;
			var filas=document.getElementById("filas").value;	
	
			
			if (filas=="") {
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			miPopup.focus();

	

		document.getElementById("numfacafe").value="";
		document.getElementById("numfacafe2").value="";
		document.getElementById("numlinea").value="";
		document.getElementById("cdgbar").value="";
		document.getElementById("dscart").value="";
		document.getElementById("cantidad").value="";
		document.getElementById("preivi").value="";
		document.getElementById("importe").value="";
		document.getElementById("dcto").value="";
		document.getElementById("descuento").value="";
		document.getElementById("cob_iv").value="";

 		document.getElementById("clanumref").value="";
		document.getElementById("feccomref").value="";
		document.getElementById("tipdocref").value="";
		document.getElementById("cdgtipexo").value="";
		document.getElementById("numdocexo").value="";
		document.getElementById("porimpexo").value="";
		document.getElementById("articulo").value="";         <!-- se agrega en la version 4.4 -->
		document.getElementById("inciso").value="";           <!-- se agrega en la version 4.4 -->
		document.getElementById("cliexento").value =1 ;
	



		} else {
			
			var cdgclifac=document.getElementById("cdgclifac").value;
				alert ("La factura posee  articulos cargados, para cambiar el cliente debe borrar todas las lineas ");
				document.getElementById("cdgcli").value=cdgclifac;
		}		}	
		
		
			function ventanaArticulos(){
			
			var cdgcli=document.getElementById("cdgcli").value;
			if (cdgcli=="") {
				alert ("Debe introducir el codigo de cliente  antes de continuar");
				document.getElementById("cdgbar").value="";
				document.getElementById("cdgcli").select();
			
					
				
		} else {
	
				var factura=document.getElementById("codfactura").value;
			    var codigobarras=document.getElementById("cdgbar").value;
				var cdgcli=document.getElementById("cdgcli").value;
				  
				  		miPopup = window.open("ver_articulos.php?cdgbar="+codigobarras+"&numfacafe="+factura+"&cdgcli="+cdgcli,"miwin","width=700,height=650,scrollbars=yes");
//window.open("clientes.php?cdgcli="+cdgcli+"&dsccli="+dsccli+"&cedcli="+cedcli+"&numtel="+numtel);
			actualizar_importe ();
			
	}	
			}
		
		function cancelar() {
			location.href="../Comprobantes_fac/index.php";
		}
		
		function limpiarcaja() {
			document.getElementById("dsccli").value="";
			document.getElementById("cedcli").value="";
		}
		
			function limpiararticulo() {
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("descuento").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("mondes").value="";
		}
		
	
		
		function actualizar_importe()		{   
			

				var mensaje_descuento="";
		
				if (document.getElementById("descuento").value >= 100) mensaje_descuento="  - Favor Revisar\n";

		if (mensaje_descuento!="") {
					alert("Atencion, el descuento no puede ser igual o mayor a 100:\n\n"+mensaje_descuento);
				} else {
		
		if (document.getElementById("cliexe2").value==1){
		
	
	
			    	document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
				var tipart=document.getElementById("tipart").value;
				var ivporc=document.getElementById("ivporc").value;
		
				
				
			
			
					if (document.getElementById("cob_iv").value==1) {
			
		          if(document.getElementById("tipart").value==2){
				
				$tazaimp= (ivporc/100)+1;            1.13  ///////
				descuento=descuento/100;             1.10 
				total=preivi*cantidad;	             8849
				parcial_total=total/$tazaimp;
				descuento=parcial_total*descuento;  884.49
				
				total_sin_descuento=parcial_total-descuento;     7964 
				total_sin_impuesto=total_sin_descuento/$tazaimp;    1035
				taza_impuesto=ivporc/100;               0.13  ///////////////          
				
				impuesto=(total_sin_descuento*$tazaimp)-total_sin_descuento;
				total_final=parcial_total;
				var original=parseFloat(total_final);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				
				} else {
				
				
				descuento=descuento/100;
				total=preivi*cantidad;	
				descuento=total*descuento;
				total_sin_descuento=total-descuento;
				
				tazaimpuesto=ivporc/100;    
				
				impuesto=total_sin_descuento * tazaimpuesto;
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				} 
				} else {
					
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento; 
			
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
			
			}
			} 
			
			
				if (document.getElementById("cliexe2").value==2){
			
			document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
			
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento;
				
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
					
			
				}
			}
				}
		
		
				
			
			
	
			
		function validar_cabecera()
			{
			
			
		 ejecucion = localStorage.getItem('validar_cabecera_en_ejecucion')      	

         if(ejecucion == null){
			
                localStorage.setItem('validar_cabecera_en_ejecucion',true)
				
				
				
		var mensaje="";
		
		
	if (document.getElementById("cliexento").value==2) {	
			 if (document.getElementById("cdgtipexo").value=="") mensaje+="  - Debe Selecionar el Tipo de Exoneracion\n"; enfoque="cdgtipexo" ; 
		     if (document.getElementById("numdocexo").value=="") mensaje+="  - Numero de Documento de la exoneracion\n"; enfoque="numdocexo" ; 
			 if (document.getElementById("nominstexo").value=="") mensaje+="  - Nombre de la Institucion a exonerar\n"; enfoque="nominstexo" ;
			 if (document.getElementById("porimpexo").value=="") mensaje+="  - Porcentaje de la Exoneracion\n"; enfoque="porimpexo" ;  
				}
	if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
	if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
	if (document.getElementById("fecha").value=="") mensaje+="  - Fecha\n";
	if (document.getElementById("cdgcaj").value=="0") mensaje+="  - Debe Asignar un codigo de Cajero\n";
	if (document.getElementById("numfacafe").value=="") mensaje+="  - Numero de Factura de Referecia\n";
	if (document.getElementById("tipdocref").value=="") mensaje+="  - Tipo documento Referecia\n";
	if (document.getElementById("clanumref").value=="") mensaje+="  - Clave documento Referecia\n";
	if (document.getElementById("feccomref").value=="") mensaje+="  - Fecha documento Referecia\n";
	if (document.getElementById("codref").value=="") mensaje+="  - Codigo de Referecia\n";
	if (document.getElementById("razref").value=="") mensaje+="  - Razon de Referecia\n";
	
	if (document.getElementById("cdgcaj").value=="0") mensaje+="  - Debe Asignar un codigo de Cajero\n";
	if (document.formulario_lineas.preciotot.value=="") mensaje+="  - Total de Factura no puede ser 0.00\n";
    if (document.formulario_lineas.preciotot.value=="0.00") mensaje+="  - Total de Factura no puede ser 0.00\n";
	if (document.formulario_lineas.preciotot.value=="0,00") mensaje+="  - Total de Factura no puede ser 0.00\n";
	if (document.formulario_lineas.preciotot.value<="0") mensaje+="  - Total de Factura no puede ser 0.00\n";
	
			

				
		
				
		if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
					localStorage.removeItem('validar_cabecera_en_ejecucion')
			} else {
				
				  var resultado="ninguno";
 
        var porNombre=document.getElementsByName("aplnot");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }


		
// if ((document.formulario.cdgtipven.value=="1") && (resultado==2))         
//		{
		
			
 //  alert("Verifique, Factura de contado Nota de credito no puede ser aplicada al saldo ");	
	

		
if ((document.formulario.cdgtipven.value=="1") && (resultado==3)) {
		
		   alert("Verifique, Factura de contado Nota de credito no puede ser aplicada a Factura ");	
		   localStorage.removeItem('validar_cabecera_en_ejecucion')	
		return
		} else {
			
				aplnot=resultado;
			
		}
	
		
		 if (aplnot==1)  {
						
		dsccli.disabled=false;	
		clanumref.disabled=false;
		feccomref.disabled=false;
		tipdocref.disabled=false;
		cdgtipexo.disabled=false;
		numdocexo.disabled=false;
		nominstexo.disabled=false;
		porimpexo.disabled=false;
		articulo.disabled = false;     /* se agrega en la version 4.4 */
		inciso.disabled = false;     /* se agrega en la version 4.4 */

		cliexento.disabled=false;
		

		  
		
						document.getElementById("formulario").submit();
					
						
						
									
		 } else if  (aplnot==2)  {
				
					
						
			     var salact=document.getElementById("salact").value;
				var preciotot=document.getElementById("preciotot").value;
			 
					var salact=parseFloat(salact);
					var preciotot=parseFloat(preciotot);
					dsccli.disabled=false;

					
					
					
		  if (preciotot > salact) {
				
	      				 alert("Verifique, Nota de credito no puede ser mayor al saldo del cliente");
						 localStorage.removeItem('validar_cabecera_en_ejecucion')
				
	
		
	    } else {
					
						 		 
	 	clanumref.disabled=false;
		feccomref.disabled=false;
		tipdocref.disabled=false;
		cdgtipexo.disabled=false;
		numdocexo.disabled=false;
		nominstexo.disabled=false;
		porimpexo.disabled=false;
		articulo.disabled = false;     /* se agrega en la version 4.4 */
		inciso.disabled = false;     /* se agrega en la version 4.4 */
		cliexento.disabled=false;
		
		document.getElementById("formulario").submit();
				
		 }
		 
	 }

 if  (aplnot==3)  {
				
					
				 var numfacafe=document.getElementById("numfacafe").value;		
				 
			if 	(numfacafe=="") {
			
			
			 alert("Verifique, Falta Digitar el numero de Factura para ser aplicada ");
			 localStorage.removeItem('validar_cabecera_en_ejecucion')
			 
			 } else {
			
			     var salfac=document.getElementById("salfac").value;
				var preciotot=document.getElementById("preciotot").value;
			 
					var salfac=parseFloat(salfac);
					var preciotot=parseFloat(preciotot);
						dsccli.disabled=false;

					
			diferencia = preciotot - salfac
					
		  if 	 ( diferencia > 1 ){ 
				
	      				 alert("Verifique, Nota de credito no puede ser mayor al saldo de la Factura ");
						 localStorage.removeItem('validar_cabecera_en_ejecucion')
						 
	    } else {
						 		 
	
		clanumref.disabled=false;
		feccomref.disabled=false;
		tipdocref.disabled=false;
		cdgtipexo.disabled=false;
		numdocexo.disabled=false;
		nominstexo.disabled=false;
		porimpexo.disabled=false;
		cliexento.disabled=false;
		articulo.disabled = false;     /* se agrega en la version 4.4 */
		inciso.disabled = false;     /* se agrega en la version 4.4 */

		document.getElementById("formulario").submit();
				
		 }
		  }
		 

				 }	
				
				}
				}
				
			}	
		
		
		function validar() 
			{
			
			
			   
			   
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n";
				if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";
				
				if (document.getElementById("cantidad").value=="0.00") mensaje+="  - La Cantidad no puede ser 0.00\n";
	   			if (document.getElementById("cantidad").value=="0") mensaje+="  - La Cantidad no puede ser 0.00\n";
				if (document.getElementById("preivi").value=="0") mensaje+="  - El precio no puede ser 0.00\n";
				if (document.getElementById("preivi").value=="0.00") mensaje+="  - EL Precio no puede ser 0.00\n";
				if (document.getElementById("preivi").value=="") { 
					
							mensaje+="  - Falta el Precio\n"; 
						} else {
							if (isNaN(document.getElementById("preivi").value)==true) {
								mensaje+="  - El Precio debe ser numerico\n";
							}
						}
				if (document.getElementById("cantidad").value=="") 
						{ 
						mensaje+="  - Falta la cantidad\n";
						} else {
							entero=document.getElementById("cantidad").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
							} else {
									document.getElementById("cantidad").value=entero;
								}
						}
				if (document.getElementById("descuento").value=="") 
						{ 
						document.getElementById("descuento").value=0 
						} else {
							actualizar_importe();	
							entero=document.getElementById("descuento").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento debe ser numerico\n";
							} else {
								document.getElementById("descuento").value=entero;
							}
						} 
						
						if (document.getElementById("porimpexo").value=="") 
						{ 
						document.getElementById("porimpexo").value=0 
						} else {
							actualizar_importe();	
							entero=document.getElementById("porimpexo").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El porcentaje a exonerar debe ser numerico\n";
							} else {
								document.getElementById("porimpexo").value=entero;
							}
						} 
						
						
				if (document.getElementById("importe").value=="") mensaje+="  - Falta el Subtotal\n";
				if (document.getElementById("importe").value=="0") mensaje+="  - El subtotal no puede ser 0\n";
				if (document.getElementById("importe").value=="0.00") mensaje+="  - El Subtotal no puede ser 0.00\n";
				if (document.getElementById("importe").value < "0") mensaje+="  - El Subtotal no puede ser menor a  0.00\n";
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
					document.getElementById("cdgbar").focus();
					document.getElementById("cdgbar").select();
				} else {
					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//
					cambio_cob_iv();
						preivi.disabled=false;
		                dscart.disabled=false;
					
			
						
					
					
					document.getElementById("formulario_lineas").submit();
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="";
					document.getElementById("importe").value="";
					document.getElementById("descuento").value="";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto").value="";	
			   		document.getElementById("cdgbar").focus();

					
							
				}
			}
			
		function cambio_cob_iv() {
			var original=parseFloat(document.getElementById("baseimponible").value);
			var result=Math.round(original*100)/100 ;
			document.getElementById("baseimponible").value=result;
	
			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));
			var original1=parseFloat(document.getElementById("baseimpuestos").value);
			var result1=Math.round(original1*100)/100 ;
			document.getElementById("baseimpuestos").value=result1;
			var original2=parseFloat(result + result1);
			var result2=Math.round(original2*100)/100 ;
			document.getElementById("preciototal").value=result2;
			
		}	

//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario_lineas"

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		 validar();	//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
	
	///////////////////////////////////////////////////   funcion inicial de radio button///////////
	  ///////////////////////////////
	$(document).ready(function() {
	if(!$("input[name=apinot]:checked").val()) {
		$("#tipo_aplicacion_defecto").prop('checked', 'checked');
	}	
});
	
	
	
	///////////////////////////////////////////////// Funcion deshabilitar y habilitar campos///////////////////////////////////////////
	
function chequea(cdgcli,combotipoventa,dsccli){
	if (cdgcli.value != "9999"){	
		dsccli.disabled=true;

		document.getElementById("combotipoventa").value=1;
		

		

		
	} else {
		//combotipoventa.disabled=true;
		dsccli.disabled=false;

	
	
	}
}



function chequea_articulo (tipart){

	
	if (tipart == 2) {
	//if ( cdgbar.value =="100"|| cdgbar.value =="101" || cdgbar.value =="102" ) {
		
	    preivi.disabled=false; 
		dscart.disabled=false;
		
		// alert ("aca estoy ");

		 } else  {
		

	  	preivi.disabled=true;	 //  PERMITE EDITAR LA CASILLA PRECIO PARA BONIFICACION
		dscart.disabled=true;
		

			}
			
	
				}
        
        
		
			


//////////////////////////////   Funcion Decimales     ////////////////////////////

		
   function redondea(sVal, nDec){ 
    var n = parseFloat(sVal); 
    var s = "0.00"; 
    if (!isNaN(n)){ 
		 n = Math.round(n * Math.pow(10, nDec)) / Math.pow(10, nDec); 
     s = String(n); 
     s += (s.indexOf(".") == -1? ".": "") + String(Math.pow(10, nDec)).substr(1); 
     s = s.substr(0, s.indexOf(".") + nDec + 1); 
    } 
    return s; 
   } 

   function ponDecimales(nDec){ 
    document.formulario_lineas.descuento.value = redondea(document.formulario_lineas.descuento.value, nDec); 
	document.formulario_lineas.preivi.value = redondea(document.formulario_lineas.preivi.value, nDec); 
	document.formulario_lineas.cantidad.value = redondea(document.formulario_lineas.cantidad.value, nDec); 
	document.formulario_lineas.importe.value = redondea(document.formulario_lineas.importe.value, nDec); 

   } 


function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


	 function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fecha").value.split(/-/);
		parts.reverse();
		fecha=parts.join('-');
		

//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fecha);

		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);


////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fecha !=""){
		
		
		 var fechaArr = fecha.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
	document.getElementById("fecha").value="";
	document.getElementById("fecha").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fecha").value="";
  document.getElementById("fecha").select();
 }
 
	}
	
	}
	
	
	
jQuery(function($){	
		$("#fecha").mask("99-99-9999");
		});	
			
			


 function  habilitarexento()     {
 
 	var cliexento=document.getElementById("cliexento").value;
	if ( cliexento == 2 ) {
		
	    cdgtipexo.disabled=false; 
		numdocexo.disabled=false;
		nominstexo.disabled=false;
		porimpexo.disabled=false;
		articulo.disabled = false;     /* se agrega en la version 4.4 */
		inciso.disabled   =false;     /* se agrega en la version 4.4 */
		 } else  {
		
	    cdgtipexo.disabled=true; 
		numdocexo.disabled=true; 
		nominstexo.disabled=true; 
		porimpexo.disabled=true;
		articulo.disabled =true;     /* se agrega en la version 4.4 */
		inciso.disabled = true;     /* se agrega en la version 4.4 */
	    document.getElementById("cdgtipexo").value="";
		document.getElementById("numdocexo").value="";
		document.getElementById("nominstexo").value="";
		document.getElementById("porimpexo").value="";
		document.getElementById("articulo").value="";    /* se agrega en la version 4.4 */
		document.getElementById("inciso").value="";        /* se agrega en la version 4.4 */
		
			}
	
        }			
		
		
	 function  habilitarreferencia()     {
 
 	var  tipdocref=document.getElementById("tipdocref").value;
	if ( tipdocref == 0  ) {
		

		codref.disabled=true; 
		rezref.disabled=true; 
	    document.getElementById("clanumref").value="";
		document.getElementById("feccomref").value="";
		document.getElementById("codref").value="";
		document.getElementById("rezref").value="";
			feccomref.class="cajaGrande";

		 } else  {
		

		clanumref.disabled=false; 
		feccomref.disabled=false;
		codref.disabled=false;
		rezref.disabled=false;
		feccomref.class="cajaGrande";

			}
	
        }			
			
		
		
		function valorexento()	 {		

		var cdgcli=document.getElementById("cdgcli").value;
		var cliexento=document.getElementById("cliexento").value;
		miPopup = window.open("comprobarexoneracion.php?cliexento="+cliexento+"&cdgcli="+cdgcli	, "frame_datos5","width=900,height=90,scrollbars=yes");
		
     document.getElementById("cliexe2").value=cliexento;
	 document.getElementById("formulario_lineas").submit();  //escape salir
	
	var porimpexo=document.getElementById("porimpexo").value;
	document.getElementById("porimpexo2").value=porimpexo;	

		}
		
				function inicio()	 {		
		localStorage.removeItem('validar_cabecera_en_ejecucion')
			document.getElementById("cdgcli").focus;
	
			 document.getElementById("formulario_lineas").submit();  //escape salir
			
        //     validarcliente();
			 validarfactura();
		}
			
////////////////////////////////////////////////////////
		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #0000CC}
-->
        </style>
</head>
		<body onLoad="inicio();nobackbutton();">
				<div id="">
			<div id="zonaVentanas">
				<div align="center">

				
					<div class="contenidoFactura4">
				<form id="formulario" name="formulario" method="post" action="guardar_nota.php">
					<table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>
				     <input id="enlinea"   readonly style='text-align:center;'  name="enlinea" value="<?php echo $enlinea; ?> "  type="hidden" >		
						<tr>
							<td width="8%">&nbsp;</td>
					      <td width="22%" rowspan="2"><input name="cdgcli"  autofocus type="text" class="cajaPequena" id="cdgcli" style='text-align:center;' size="8" maxlength="5" Click="limpiarcaja()"  value="<?php echo $cdgcli?>" onChange="validarcliente()" autocomplete= "off" onKeyup="chequea(this,this.form.combotipoventa,dsccli)"  onFocus="siguienteCampo ='dsccli';">
				          <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"></td>					
						  <td width="1%">&nbsp;</td>
						  <td width="3%">&nbsp;</td>
						  <td width="5%">&nbsp;</td>
						  <td width="10%">&nbsp;</td>
						  <td width="8%">&nbsp;</td>
						  <td colspan="6"><div align="center"><span class="Estilo1">MODULO NOTA DEBITO </span></div></td>
					    </tr>
						<tr>
						  <td>C&oacute;digo </td>
					      <td></td>
					      <td><input NAME="vehpla" class="cajaMedia" id="vehpla"   type="hidden"></td>
			                  <input NAME="cdgclifac" class="cajaMedia" id="cdgclifac"   type="hidden" >
			                  <input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
							  <input NAME="salact" class="cajaMedia" id="salact" value="<?php echo $salact?>"  type="hidden"  >
							  <input id="cdgactcom" name="cdgactcom" value="<?php echo $cdgactcom?>"  type="hidden">
			                  <input id="salfac" name="salfac" value=""  type="hidden" >
				              <input id="cdgtipven" name="cdgtipven" value=""  type="hidden" >
				              <input id="codfactura2" name="codfactura2" value=""  type="hidden" >				
					      <td>Aplicar</td>
					      <td width="10%"><input type="radio" id="aplnot" name="aplnot" value="1">
					        Efectivo</td>
					      <td width="8%">&nbsp;</td>
					      <td width="10%"><input type="radio"  id="aplnot" name="aplnot" value="3" checked >
					      Factura </td>
					      <td colspan="4"><input name="numfacafe" type="text" class="cajaGrande" id="numfacafe" size="25" maxlength="25" style='text-align:center;'   onChange="validarfactura()"  value="<?php echo $numcomp?>"  autocomplete="off"  onFocus="siguienteCampo ='cdgbar';" ></td>
					      <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td>Nombre</td>
						  <td><input name="dsccli" type="text" class="cajaGrande" id="dsccli" value="<?php echo $dsccli?>"  disabled=true  autocomplete= "off"   onFocus="siguienteCampo ='vehpla';"></td>
						  <td>&nbsp;</td>
						  <td><input name="cedcli" type="hidden" class="cajaMedia" id="cedcli" size="20" maxlength="15"  disabled=true autocomplete= "off" onFocus="siguienteCampo ='combotipoventa';"></td>
						  <td>Fecha</td>
						  <td><input name="fecha" type="text" class="cajaGrande" id="fecha" size="10" maxlength="10" style='text-align:center;' value="<?php echo $hoy?>"   onChange="comprobar_fechas()"  readonly=""  onFocus="siguienteCampo ='cdgcaj';" ></td>
						  <td>Vendedor</td>
						  <td><input name="cdgven" type="text" class="cajaMedia" id="cdgven" size="10" maxlength="10" style='text-align:center;' value="<?php echo $nomb?>" readonly></td>
						  <td width="7%">Cajero</td>
						  <td colspan="3"><select id="cdgcaj" name="cdgcaj" class="cajaGrande"  onFocus="siguienteCampo ='comboestatus';" onChange="calcular_precio001()">
                            <?php
							
					
					  	$query_tipo="SELECT * FROM usuarios ORDER BY nomcomusu ASC";
                        $resultado = $mysqli->query($query_tipo) 
						?>
                            <?php 
							while($fila= $resultado->fetch_assoc()) {
							if ($cdgcaj ==  $fila["codusu"]) { ?>
                            <option value="<?php echo $fila['codusu']; ?>" selected="selected"><?php echo $fila['nomcomusu']; ?></option>
                            <?php } else { ?>
                            <option value="<?php echo $fila['conusu']; ?>"><?php echo $fila['nomcomusu']; ?></option>
                            <?php } ;
								} ?>
                          </select></td>
						  <td>&nbsp;</td>
					    <tr>
					      <td>&nbsp;</td>
					      <td>&nbsp;</td>
					      <td>&nbsp;</td>
					      <td>&nbsp;</td>
					      <td>&nbsp;</td>
					      <td>&nbsp;</td>
					      <td>&nbsp;</td>
					      <td>&nbsp;</td>
					      <td>&nbsp;</td>
					      <td colspan="3">&nbsp;</td>
					      <td>&nbsp;</td>
				      <tr>
				        <td height="20">&nbsp;</td>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
				        <td>Descuento</td>
				        <td colspan="3"><select id="natdes" name="natdes"   class="comboGrande"  autofocus >
                          <?php
							
					
						  	$naturaleza="SELECT * FROM hac_naturaleza_descuento ORDER BY cdgnatdes DESC";                     /// se agrega order by en la version 4.4 y se cambia en el combo cdgnatdes
                        $tipo_descuento = $mysqli->query($naturaleza) 
						?>
						
                          <?php
							while ($linea = $tipo_descuento ->fetch_assoc()) { ?>
                            <option value="<?php echo  $linea["cdgnatdes"]?>"><?php echo  $linea["dscnatdes"]?></option>
                          <?php 
								} ?>
                          </select></td>
				        <td>&nbsp;</td>
			          <tr>
				          <td>Exoneraci&oacute;n</td>
				          <td><select id="cliexento" name="cliexento" class="cajaGrande"   onChange="valorexento(); habilitarexento() "  >
                            <?php
					            
					     
                            $query_artexe = "SELECT * FROM tipocliente ORDER BY cdgtipcli ASC";
                            $result = $mysqli->query($query_artexe);
					  ?>
                            <?php
					 while ($fila = $result->fetch_assoc()) { 
					          if ($cliexe ==  $cdgtipexo) { ?>
                            <option value="<?php echo  $fila["cdgtipcli"]?>" selected="selected"><?php echo  $fila["dsctipcli"]?></option>
                            <?php } else { ?>
                            <option value="<?php echo  $fila["cdgtipcli"]?>"><?php echo  $fila["dsctipcli"]?></option>
                            <?php } ;
								} ?>
                          </select></td>
				          <td>&nbsp;</td>
				          <td colspan="3"><select id="cdgtipexo" name="cdgtipexo" class="cajaGrandeDisable"   value""  onChange="redireccionar(this);"  disabled autofocus >
                            <?php
							
					
					  	$exoneracion="SELECT * FROM hac_tipo_exoneracion ";
                        $resultado = $mysqli->query($exoneracion) 
						?>
                            <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                            <option value="<?php echo  $fila["cdgtipexo"]?>"><?php echo  $fila["dsctipexo"]?></option>
                            <?php 
								} ?>
                          </select></td>
				          <td colspan="3"><input name="numdocexo" type="text" disabled=true class="cajaGrandeDisable" id="numdocexo" onFocus="siguienteCampo ='vehpla';" size="17" maxlength="17"  autocomplete= "off"  placeholder="NUMERO DOCUMENTO"style='text-align:center;'  ></td>
				          <td colspan="2"><input name="nominstexo" type="text" class="cajaGrandeDisable" id="nominstexo" size="100" maxlength="100" disabled=true  autocomplete= "off"   placeholder="INSTITUCION EXONERADA"  style='text-align:center;'   onFocus="siguienteCampo ='vehpla';"></td>
				          <td><input name="porimpexo" type="text" class="cajaGrandeDisable" id="porimpexo" size="100" maxlength="100" disabled=true  autocomplete= "off"   placeholder="% Exonerar"  style='text-align:center;'   onFocus="siguienteCampo ='vehpla';"></td>
				          <td>&nbsp;</td>
		              <tr>
			              <td>Referencia</td>
			              <td><select name="tipdocref" id="tipdocref" disabled="disabled" class="comboGrande" onFocus=" habilitarreferencia() " onChange=" habilitarreferencia() "  >
                            <?php
					  	$referencia="SELECT * FROM hac_tipo_doc_referencia ORDER BY cdgdocref ASC";
                        $resultado = $mysqli->query($referencia) 

			         ?>
                            <option value="0">TIPO DOCUMENTO REFERENCIA</option>
                            <?php while($row = $resultado->fetch_assoc()) { ?>
                            <option value="<?php echo $row['cdgdocref']; ?>"><?php echo $row['dscdocref']; ?></option>
                            <?php } ?>
                          </select></td>
			              <td>&nbsp;</td>
			              <td colspan="6"><input name="clanumref" type="text" class="cajaGrandeDisable" id="clanumref" size="10" maxlength="10" style='text-align:center;' placeholder="NUMERO COMPROBANTE"  readonly="" onChange="comprobar_fechas()"   onFocus="siguienteCampo ='cdgcaj';"   disabled="disabled"></td>
			              <td><input name="feccomref" type="text" class="cajaGrandeDisable" id="feccomref" size="10" maxlength="10" style='text-align:center;'  onChange="comprobar_fechas()"   readonly="" placeholder="FECHA DE COMPROBANTE"  onFocus="siguienteCampo ='cdgcaj';" ></td>
			              <td><input name="articulo" type="text"  style='text-align:center;'   class="cajaGrande" id="articulo"  disabled=true  autocomplete= "off"   placeholder="Articulo" onChange="" onFocus="siguienteCampo ='numdocexo';"></td>
			              <td><input name="inciso" type="text"  style='text-align:center;'   class="cajaGrande" id="inciso"  disabled=true  autocomplete= "off"   placeholder="Inciso" onChange="" onFocus="siguienteCampo ='numdocexo';"></td>
			              <td>&nbsp;</td>
		              <tr>
						  <td width="8%">&nbsp;</td>
                           <td><select id="codref" name="codref" class="cajaGrandeDisable"  onChange=" "  >
           
							 
							 
                            <?php
					            
					     $referencia= "01";// declaro como referencia anla documento
                        $referencia2="SELECT * FROM hac_codigos_referencia ORDER BY cdgref ASC";
                        $resultado2 = $mysqli->query($referencia2) 
					  ?>
                            <?php
					 while ($fila = $resultado2->fetch_assoc()) { 
					          if ( $referencia ==  $fila["cdgref"]) { ?>
                            <option value="<?php echo  $fila["cdgref"]?>" selected="selected"><?php echo  $fila["dscref"]?></option>
                            <?php } else { ?>
                            <option value="<?php echo  $fila["cdgref"]?>"><?php echo  $fila["dscref"]?></option>
                            <?php } ;
								} ?>
                           </select></td>
                           <td>&nbsp;</td>
                           <td colspan="9"><input name="razref" type="text" class="cajaGrandeDisable"  id="razref"  maxlength="100" style='text-align:center;'   onChange="comprobar_fechas()" value="ANULA DOCUMENTO"  placeholder="RAZON DE REFERENCIA"  autocomplete="off"   onFocus="siguienteCampo ='cdgcaj';" ></td>
                           <?php $hoy=date("d/m/Y"); ?>		
					      <?php 
						 $Cajero = "c" ; 
						 $Administrador = "a" ; 
						 
			
					  ?>	
							
                          <td width="5%">&nbsp;</td>
				  </table>		
	
											
			  <input id="codnotatmp" name="codnotatmp" value="<?php echo $codnotatmp?>" type="hidden" >
			  <input id="baseimpuestos2" name="baseimpuestos2" value="<?php echo $baseimpuestos?>" type="hidden">
			  <input id="baseimponible" name="baseimponible" value="<?php echo $baseimponible?>" type="hidden">
			  <input id="preciototal" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
			  
			  <input id="tipmoneda" name="tipmoneda" value="<?php echo $tipmoneda?>"  type="hidden">

			  
			  <input id="accion" name="accion" value="alta" type="hidden">
			
				</form>
				
				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas.php" target="frame_lineas">
				<table class="" width="100%"  border="0" ID="Table10" >
				 	  <input id="cliexe2" name="cliexe2" value="<?php echo $cliexe?>"  type="hidden" >
				   	  <input id="filas" name="filas" value="<?php echo $filas?>"  type="hidden" >	
					  <input id="cdglin" name="cdglin" value="<?php echo $cdglin?>"  type="hidden" >	
					  <input id="cdgfam" name="cdgfam" value="<?php echo $cdgfam?>"  type="hidden" >
					  <input name="cob_iv"  id="cob_iv" value="" type="hidden">
					  <input name="porimpexo2"  id="porimpexo2" value="<?php echo $porimpexo?>" type="hidden">
					  <input name="tipart"  id="tipart" value="" type="hidden">
					  <input id="codfactura" name="codfactura" value=""  type="hidden" >
                      <input id="numfacafe2" name="numfacafe2" value="<?php echo $numfacafe?>"  type="hidden" >
					  <input id="numlinea" name="numlinea" value="<?php echo $numlinea?>"  type="hidden" >
					  <input id="preciotot" name="preciotot"  value="<?php echo $preciototal?>"   type="hidden" >		
					  <input name="ivporc" type="hidden" id="ivporc">
					  <input name="cdgclifac2" class="cajaMedia" id="cdgclifac2"   value=" <?php echo $cdgcli?>" type="hidden" >
					 	
				  <tr>
				    <td   width="1%" height="34"></td>
					<td   width="4%" >Codigo</td>
                    
			        <td   width="10%"><input name="cdgbar" type="text"  id="cdgbar"   onChange="validararticulo()"    autocomplete= "off"  maxlength="40"  onFocus="siguienteCampo ='descuento';"   class="cajaGrande"  ></td>
			        <td   width="4%" ><img src="../img/search-b-icon (5).png" width="32" height="32" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor" title="Buscar articulos"></td>
			                       <td   width="5%">Articulo</td>
			    <input id="impuesto" name="impuesto" value="<?php echo $impuesto?>"  type="hidden">
             
					<td   width="20%"><input name="dscart" type="text"id="dscart" class="cajaGrande" autocomplete= "off"  onChange="actualizar_importe()" onFocus="siguienteCampo ='preivi';"  ></td>
                    <input name="mondes" type="hidden" id="mondes">
					<td   width="5%"><div align="right">Precio</div></td>
					<td   width="6%"><?php if ($percampre == 1) {   // se agrega en la version 4.4 permite edicion  DE PRECIOS 
					?>
		            <input NAME="preivi" type="text" style='text-align:right;'  id="preivi" autocomplete= "off"  class="cajaGrande"  onFocus=" siguienteCampo ='fin';"></td>
					<?php
					} else  {
						?>
		            <input NAME="preivi" type="text" style='text-align:right;'  id="preivi" autocomplete= "off"  class="cajaGrande"  disabled="disabled"  onFocus=" siguienteCampo ='fin';"></td>
					<?php
					}
					?></td>
					<td width="5%"><div align="right">Cantidad</div></td>
					<td width="5%"><input name="cantidad" type="text"  style='text-align:center;' id="cantidad"  class="cajaGrande" value="1.00" onChange="actualizar_importe()" autocomplete= "off"  onFocus=" actualizar_importe(); siguienteCampo ='descuento';"  ></td>
					<td width="5%"><div align="right">Dcto.</div></td>
				<td width="5%"><input NAME="descuento"   class="cajaGrande" autocomplete= "off" type="text" style='text-align:center;' id="descuento"  value="0.00" onChange="actualizar_importe()" onFocus=" actualizar_importe(); siguienteCampo ='fin';" ></td>
					<td width="1%"><div align="left">%</div></td>
					<td width="5%"><div align="right">Monto</div></td>
					
					<td width="8%"><input name="importe" type="text"  readonly id="importe"  value="0" style='text-align:right;' 
					onFocus="ponDecimales(2)"  class="cajaGrande" ></td>
					<td width="4%"><img src="../img/Arrow-Down_32x32-32.png" width="32" name="fin" id="fin" height="32" border="0" onClick="validar()" onMouseOver="style.cursor=cursor" title="Agregar articulo"></td>
				  </tr>
				</table>
			
				<input name="codarticulo" value="<?php echo $codarticulo?>" type="hidden" id="codarticulo">
				
				</div>
				
			
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						
							<td width="9%"><span >CODIGO</span></td>
							<td width="49%"><span >DETALLE</span></td>
							<td width="8%"><span>CANTIDAD</span></td>
							<td width="8%"><span >PRECIO</span></td>
							<td width="10%"><span>DCTO %</span></td>
							<td width="8%"><span>MONTO</span></td>
							<td width="3%">&nbsp;</td>
						</tr>
				</table>
				<div id="lineaResultado2">
				  <iframe width="100%" height="360" id="frame_lineas" name="frame_lineas" frameborder="0">
                  <ilayer width="100%" height="60" id="frame_lineas" name="frame_lineas"></ilayer>
				  </iframe>
				</div>					
			  </div>
			  <div id="frmBusqueda" style="display:none">
				<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="27%" class="busqueda">Sub-total</td>
				<td width="73%" align="right"><div align="center"><?php echo $simbolomoneda ?>
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value=0 align="right" readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">IVA</td>
				<td align="right"><div align="center"><?php echo $simbolomoneda ?>
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value=0 readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">Precio Total</td>
				<td align="right"><div align="center"><?php echo $simbolomoneda ?>
			      <input class="cajaTotales" name="preciototal"  value="<?php echo $preciototal?>" type="text" id="preciototal" size="12" align="right"  readonly> 
		        </div></td>
			  </tr>
			      <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
				    <input id="codnotatmp" name="codnotatmp" value="<?php echo $codnotatmp?> " >	
					
					<input id="preciototal" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
		</table>
			  </div>
				<div id="botonBusquedaAWGP">					
				  <div align="center">
				    <img src="../img/Symbol-Check_48x48-32.png" name="boton" width="48" height="48" border="0" class="aCentro"  id="boton"    onClick=" validar_cabecera(); " onMouseOver="style.cursor=cursor"  disabled="disabled" value="Deshabilitado">
					<img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" onClick="cancelar()" onMouseOver="style.cursor=cursor">
				
					    
			      </div>
				</div>
			  		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
		
        
        			<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
					
							<iframe id="frame_datos4" name="frame_datos4" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos4" name="frame_datos4"></ilayer>
					</iframe>
					
							<iframe id="frame_datos5" name="frame_datos5" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos5" name="frame_datos5"></ilayer>
					</iframe>
			  </form>
			 </div>
    </div>
		</div>
	</body>
</html>





